> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.vellum.ai/developers/client-sdk/folders/add-entity-to-folder/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vellum.ai/_mcp/server. # Add Entity to Folder POST https://api.vellum.ai/v1/folders/{folder_id}/add-entity Content-Type: application/json Add an entity to a specific folder or root directory. Adding an entity to a folder will remove it from any other folders it might have been a member of. Reference: https://docs.vellum.ai/developers/client-sdk/folders/add-entity-to-folder ## Authentication - `X-API-KEY` header (required) — API Key authentication via header ## Request ### Path parameters - `folder_id` (string, required) — The ID of the folder to which the entity should be added. This can be a UUID of a folder, or the name of a root directory. Supported root directories include: - PROMPT_SANDBOX - WORKFLOW_SANDBOX - DOCUMENT_INDEX - TEST_SUITE ### Body (application/json) This endpoint expects an AddEntityToFolderRequest. - `entity_id` (string, required) — The ID of the entity you would like to move. ## Response ### 200 No response body ## Examples **Request** ```json { "entity_id": "string" } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.vellum.ai/v1/folders/folder_id/add-entity" payload = { "entity_id": "string" } headers = { "X-API-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript import { VellumClient } from "vellum-ai"; const client = new VellumClient({ apiKey: "YOUR_API_KEY", apiVersion: "YOUR_API_VERSION" }); await client.folderEntities.addEntityToFolder("folder_id", { entityId: "entity_id" }); ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.vellum.ai/v1/folders/folder_id/add-entity" payload := strings.NewReader("{\n \"entity_id\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.vellum.ai/v1/folders/folder_id/add-entity") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"entity_id\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.vellum.ai/v1/folders/folder_id/add-entity") .header("X-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"entity_id\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.vellum.ai/v1/folders/folder_id/add-entity', [ 'body' => '{ "entity_id": "string" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.vellum.ai/v1/folders/folder_id/add-entity"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"entity_id\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-KEY": "", "Content-Type": "application/json" ] let parameters = ["entity_id": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.vellum.ai/v1/folders/folder_id/add-entity")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```